Topic: La version 1.12.8 de Zend_Framework est boguée

Salut,

Je viens de mettre à jour la version 1.12.8 du Zend_Framework. Elle est boguée sur cette amélioration : https://github.com/zendframework/zf1/pull/418

Il résulte qu'un order by du style new Zend_Db_Expr('TO_DAYS(STR_TO_DATE('.$field.',"%d/%m/%Y"))') résulte en `TO_DAYS(STR_TO_DATE(debut,"%d/%m/%Y"))`. Les back quotes sont mal placées. Je ne sais pas si je loupe quelque chose dans la construction des requêtes SQL. Mais bon, je préfère prévenir...

Re: La version 1.12.8 de Zend_Framework est boguée

Plus d'infos ici https://github.com/zendframework/zf1/issues/424

Re: La version 1.12.8 de Zend_Framework est boguée

As soon as upstream will commit a fix (or a new version), I will run a new build.

1.12.7 is still available in the repo, so if this is a blocker for you, you can downgrade (but 1.12.8 is a security update... so...)

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: La version 1.12.8 de Zend_Framework est boguée

Je ne sais pas si la version 1.12.9 corrige le pbm, mais elle est dispo dans le dépôt

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70